> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a merchant information as a customer support agent

> API view to update a merchant's core information using the merchant's tenant ID.

Only accessible by users with customer support permissions.



## OpenAPI

````yaml patch /api/v1/merchants/{tenant_id}/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/merchants/{tenant_id}/:
    patch:
      tags:
        - Merchant
        - Unyte Admin
      summary: Update a merchant information as a customer support agent
      description: >-
        API view to update a merchant's core information using the merchant's
        tenant ID.


        Only accessible by users with customer support permissions.
      operationId: v1_merchants_partial_update
      parameters:
        - in: path
          name: tenant_id
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedMerchantUpdate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedMerchantUpdate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedMerchantUpdate'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantUpdate'
          description: Successful response with updated merchant information.
        '400':
          description: Validation error
        '404':
          description: Merchant not found.
      security:
        - ClientKeyAuth: []
components:
  schemas:
    PatchedMerchantUpdate:
      type: object
      description: |-
        Serializer for updating core information of a Merchant.

        This serializer handles the validation and serialization of the data
        required to update the core details of a Merchant. It is used in
        the API endpoint that allows customer support to update merchant
        information.

        Supported Fields:
            - name: Business name of the merchant.
            - business_email: Email address used for business communications.
            - support_email: Contact email address for support inquiries.
            - tax_identification_number: Unique tax identification number issued by tax authorities.
            - registration_number: Government-issued registration number with the corporate affairs commission.
            - address: Physical address of the merchant's business.
      properties:
        name:
          type: string
          title: Business Name
          description: The name of the business
          maxLength: 255
        business_email:
          type: string
          format: email
          nullable: true
          description: Company registration email address
          maxLength: 254
        support_email:
          type: string
          format: email
          nullable: true
          description: The contact email address of the business, for support if any
          maxLength: 254
        tax_identification_number:
          type: string
          nullable: true
          title: TIN
          description: >-
            Unique tax identification number issued by federal or inland revenue
            service
          maxLength: 40
        registration_number:
          type: string
          nullable: true
          description: Government-issued registration number with the CAC
          maxLength: 40
        address:
          type: string
          nullable: true
          title: Business Address
          description: The physical address of the business
    MerchantUpdate:
      type: object
      description: |-
        Serializer for updating core information of a Merchant.

        This serializer handles the validation and serialization of the data
        required to update the core details of a Merchant. It is used in
        the API endpoint that allows customer support to update merchant
        information.

        Supported Fields:
            - name: Business name of the merchant.
            - business_email: Email address used for business communications.
            - support_email: Contact email address for support inquiries.
            - tax_identification_number: Unique tax identification number issued by tax authorities.
            - registration_number: Government-issued registration number with the corporate affairs commission.
            - address: Physical address of the merchant's business.
      properties:
        name:
          type: string
          title: Business Name
          description: The name of the business
          maxLength: 255
        business_email:
          type: string
          format: email
          nullable: true
          description: Company registration email address
          maxLength: 254
        support_email:
          type: string
          format: email
          nullable: true
          description: The contact email address of the business, for support if any
          maxLength: 254
        tax_identification_number:
          type: string
          nullable: true
          title: TIN
          description: >-
            Unique tax identification number issued by federal or inland revenue
            service
          maxLength: 40
        registration_number:
          type: string
          nullable: true
          description: Government-issued registration number with the CAC
          maxLength: 40
        address:
          type: string
          nullable: true
          title: Business Address
          description: The physical address of the business
      required:
        - name
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````